edu.ucsb.nceas.metacat.doi.datacite

## Class EML2DataCiteFactory

- java.lang.Object
- - edu.ucsb.nceas.metacat.doi.datacite.DataCiteMetadataFactory
  - - edu.ucsb.nceas.metacat.doi.datacite.EML2DataCiteFactory

-     public class EML2DataCiteFactory
      extends DataCiteMetadataFactory

  A factory to generate data cite meta data for the scientific meta data standards - eml-2.*
  Author:
    tao

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.doi.datacite.DataCiteMetadataFactory

      `ABSTRACT, CREATOR, CREATORNAME, CREATORS, DESCRIPTIONS, DOI, EN, FORMATS, INVALIDCODE, NAMESPACE, RESOURCE, SCHEMALOCATION, SUBJECTS, TITLES, XML_LANG, xpath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EML2DataCiteFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canProcess(java.lang.String namespace)` Determine if the given name space can be handled by this factory
    `java.lang.String` | `generateMetadata(org.dataone.service.types.v1.Identifier identifier, org.dataone.service.types.v2.SystemMetadata sysmeta)` Method to generate the data cite xml document

    - ### Methods inherited from class edu.ucsb.nceas.metacat.doi.datacite.DataCiteMetadataFactory

      `addIdentifier, addLanguage, addPublicationYear, addPublisher, addResourceType, addVersion, appendCreator, appendDescription, appendFormat, appendSubject, appendTitle, generateROOTDoc, lookupFormat, removeIdSchemePrefix, serializeDoc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EML2DataCiteFactory

          public EML2DataCiteFactory()

  - ### Method Detail

    - #### canProcess

          public boolean canProcess(java.lang.String namespace)

      Determine if the given name space can be handled by this factory
      Specified by:
        `canProcess` in class `DataCiteMetadataFactory`
      Parameters:
        `namespace` - the name space of the meta data
      Returns:
        true if this factory can process it; false otherwise.

    - #### generateMetadata

          public java.lang.String generateMetadata(org.dataone.service.types.v1.Identifier identifier,
                                                   org.dataone.service.types.v2.SystemMetadata sysmeta)
                                            throws org.dataone.service.exceptions.InvalidRequest,
                                                   org.dataone.service.exceptions.ServiceFailure

      Method to generate the data cite xml document
      Specified by:
        `generateMetadata` in class `DataCiteMetadataFactory`
        `sysmeta` - the system meta data information of an given object
      Returns:
        the xml string of the datacite meta data.
      Throws:
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.ServiceFailure`

Copyright © 2020 Regents of the University of California. All Rights Reserved.